### File

`packages/ecl/components/ecl-gallery/ecl-gallery-media.directive.ts`

### Description

Manages image/video for the thumbnail in the gallery. Adding some styling and functionality.

### Extends

`ECLBaseDirective`

### Implements

`OnInit`

### Metadata

Selector | `[eclGalleryMedia], [eclGalleryImage]`

### Index

###### Properties
isVideo sources tracks
###### Methods
getCssClasses
###### Inputs
hasZoom poster class e2eAttr tabindex
###### HostBindings
class class.ecl-video
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

hasZoom
Type : `boolean`
Default value : `false`
When this is true, on mousehover the image will be zoomed.

poster
Type : `string`
To be used when there is no thimbnail added. Instead the 'poster' attribute in the element is used

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the ECL classes for the component.

class.ecl-video
Type : `boolean`
Default value : `false`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

isVideo
Type : `unknown`
Default value : `false`
Decorators : `@HostBinding('class.ecl-video')`

sources
Type : `Array<EclGalleryMediaSource>`
Default value : `[]`

tracks
Type : `Array<EclGalleryMediaTrack>`
Default value : `[]`

### Accessors

cssClasses
get `cssClasses()`
Applies the ECL classes for the component. Returns : `string`

# results matching ""

# No results matching ""